using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RadGridView_WPF_AR_19
{
	public class ComplexId
	{
		public int FirstPart
		{
			get;
			set;
		}

		public int SecondPart
		{
			get;
			set;
		}

		public ComplexId()
		{

		}

		// have to overload this operator to be able to compare ComplexId
		public static bool operator ==(ComplexId c1, ComplexId c2)
		{
			if ((object) c1 == null || (object) c2 == null)
			{
				return false;
			}

			return c1.FirstPart == c2.FirstPart && c1.SecondPart == c2.SecondPart;
		}

		// have to overload this operator to be able to compare ComplexId
		public static bool operator !=(ComplexId c1, ComplexId c2)
		{
			return !(c1 == c2);
		}
	}
}
